$.extend($.fn.validatebox.defaults.rules, {
    minLength: {
        validator: function(value, param){
            return value.length >= param[0];
        },
        message: 'Please enter at least {0} characters.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    maxLength: {
        validator: function(value, param){
            return value.length < param[0];
        },
        message: 'Please enter at least {15} characters.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    equals: {
        validator: function(value,param){
            return value == $(param[0]).val();
        },
        message: 'Field do not match.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    fCheck: {
        validator: function(value,param){
            if(param[0]==1)     //For contact number
                    {
                    return /^0(\d{2}|\d{3})-\d{7}$/.test(value);
                    }
                else if(param[0]==2)    //For NIC
                    {
                    return /^\d{13}$/.test(value);        
                    }
        },
        message: 'Must enter 13 numbers.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    ageCheck: {
        validator: function(value, param){
            if(param[0]==1) //For student age
                {
                var dt = new Date(value);
                var diff = Math.abs(new Date() - dt);
                var one_year = 1000*60*60*24*365; //years
                diff = Math.round(diff/one_year);
                return diff>=15
                
                }
                elseif(param[0]==1) //For Weeks of semester
                {
                    var dt = new Date(value);
                    var diff = Math.abs(new Date() - dt);
                    var one_year = 1000*60*60*24*365; 
                    diff = Math.round(diff/one_year);
                    return diff>=20
                }
        },
        message: 'Underage.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    semCheck: {
        validator: function(value){
           
                {
                var dt = new Date(value);
                var diff = Math.abs(new Date() - dt);
                var one_week = 1000*60*60*24*7; //weeks
                diff = Math.round(diff/one_week);
                return diff>=14
                }
        },
        message: 'Invalide Date.'
    }
});

$.extend($.fn.validatebox.defaults.rules, {
    numCheck: {
        validator: function(value, param){
                return /^\d{1}$/.test(value);
        },
        message: 'Invalid Semester.'
    }
});